<!--
//  INTERFACE
//  validarCNPJ(cnpj)
function verifica(radio)
{
var check = '2';
   for (var i = 0; i < radio.length; i++)
    {  
	  alert(radio[i].checked)
	   if (radio[i].checked) 
	   {
	   		check='1';
			alert(check+' ch1')
		}
    }
	alert(check+' ch2')
    if (check = '2') {
	    	alert('Todas as Perguntas são Obrigatórias.');
			radio.focus();
			return true;
		}	
return false;
}

function validarcnpj(element)
{
	//declarando variaveis
	var cnpj = element.value
	var a = 0
	var j = 5
	var d1 = 0
	var d2 = 0
	var v_cnpj = new Array()
	
	//tamanho
	if (cnpj.length != 14 )
	{
		alert( 'CNPJ: Tamanho incorreto...')
		element.focus()
		return false
	}
	
	//numérico
	
	//cria vetor com os numeros do cnpj
	for ( i = 0; i < cnpj.length; i++)
	{
		v_cnpj[i] = parseInt(cnpj.charAt(i))
		
		//verifica se só possui números
		if ( isNaN( v_cnpj[i] ) )
		{
			alert('CNPJ: Favor digitar apenas os números ...')
			element.focus()
			return false
		}
	}
	
	//------calculo do primeiro digito------
	//executa as multiplicações	
	for ( i = 0; i < 12; i++)
	{
		a = a + v_cnpj[i] * j
		if (j > 2)
		{
			j--
		}
		else
		{
			j = 9
		}
	}
	//pega o resto
	a = a % 11
	
	//aplica as regras no resto e atribui o primeiro digito
	if (a > 1)
	{
		d1 = 11 - a
	}
	else
	{
		d1 = 0
	}
	if ( d1 != v_cnpj[12] )
	{
		alert("CNPJ inválido !!")
		element.focus()
		return false
	}
	//inicializa o j em 6 e a em 0
	j = 6
	a = 0
	//------calculo do segundo digito------
	//executa as multiplicações	
	for ( i = 0; i < 13; i++)
	{
		a = a + v_cnpj[i] * j
		if (j > 2)
		{
			j--
		}
		else
		{
			j = 9
		}
	}
	//pega o resto
	a = a % 11
	
	//aplica as regras no resto e atribui o primeiro digito
	if (a > 1)
	{
		d2 = 11 - a
	}
	else
	{
		d2 = 0
	}
	if ( d2 != v_cnpj[13] )
	{
		alert("CNPJ inválido !!")
		element.focus()
		return false
	}
	
	return true
}

function ValidaCPF(CPF)
	{		
		vr = CPF;
		vr = vr.replace( ".", "" );
		vr = vr.replace( ".", "" );
		vr = vr.replace( ".", "" );
		vr = vr.replace( "-", "" );
		vr = vr.replace( "-", "" );
		soma=0;
		Resto=0;
		I=0;

		if (vr == "")
		{
			return (true);	
		}

		if (vr.length!=11)
		{
			return (false);
		}
	  soma = 0 ;
	  for (I=0;I<=8;I++)
	  {
		soma = soma +  parseInt(vr.substring(I,I+1)) * (10 - I)
		// Verificar
	  }
	 
	  Resultado = (soma - (soma%11))/11
	  Resto = 11 - (soma - Resultado * 11);

	  if (Resto == 10 || Resto == 11) 
	  {
		Resto = 0;
	  }


	  if (Resto != parseInt(vr.substring(9,10)))
	  {
		return (false);
	  }

	  soma = 0;
	  for (I=0; I<=9;I++)
	  {
		soma = soma + parseInt(vr.substring(I,I+1)) * (11-I);
	  }
	  

  	  Resultado = (soma - (soma%11))/11
	  Resto = 11 - (soma - Resultado * 11);

	  if (Resto == 10 || Resto ==11)
	  {
		Resto = 0;
	  }
	  

	  if (Resto != parseInt(vr.substring(10,11)))
	  {
		return (false);
	  }

	  return (true);

	}

	
//-->
